فا

‫ آسیب‌پذیری‌های چندگانه اجرای کد دلخواه در Mozilla Thunderbird

#‫آسیب‌پذیری‌های چندگانه‌ای در #‫Mozilla_Thunderbird شناسایی شده است که شدید‌ترین آن می‌تواند موجب اجرای کد دلخواه شود. Mozilla Thunderbird یک سرویس ایمیل است. بهره‌برداری موفق از شدیدترین این آسیب‌پذیری‌ها می‌تواند موجب به دست گرفتن کنترل سیستم آسیب‌پذیر توسط مهاجمان شود و بسته به مجوزهای مربوط به این برنامه، مهاجم می‌تواند نرم‌افزار‌ها را نصب و یا حذف کند و همچنین اطلاعات و داده‌ها را مشاهده، تغییر یا حذف کند و یا حساب‌های جدید با حقوق کامل کاربری را ایجاد کند. کاربرانی که حساب‌های آنها به گونه‌ای پیکربندی شده‌ است که سطح دسترسی کاربری کمتری در سیستم داشته باشند، می‌توانند کمتر از کسانی که با حقوق کاربری مدیریتی کار می‌کنند، آسیب‌پذیر باشند.
تهدید امنیتی:
در حال حاضر هیچ گزارشی مبنی بر سوء استفاده از این آسیب‌پذیری‌ها در دنیای بیرون ارائه نشده است.
سیستم‌های تحت‌تاثیر این آسیب‌پذیری‌ها:
• سرویس Mozilla Thunderbird، نسخه‌ 60.7.1 و قبل از آن

ریسک‌پذیری و مخاطره:
دولتی :
• موسسات دولتی بزرگ و متوسط : زیاد
• موسسات دولتی کوچک : متوسط

کسب و کار و تجارت :
• موسسات دولتی بزرگ و متوسط : زیاد
• موسسات دولتی کوچک : متوسط


جزئیات این آسیب‌پذیری‌ها به شرح زیر است:
• یک نقص اجرای iCal در Thunderbird که هنگام پردازش ایمیل‌های خاص، منجر به سرریز بافر heap در parser_get_next_char می‌شود. CVE-2019-11703
• یک نقص اجرای iCal در Thunderbird که هنگام پردازش ایمیل‌های خاص، منجر به سرریز بافر heap در icalmemory_strdup_and_dequote می‌شود. CVE-2019-11704
• یک نقص اجرای iCal در Thunderbird که هنگام پردازش ایمیل‌های خاص، منجر به سرریز بافر پشته در icalmemory_strdup_and_dequote می‌شود. CVE-2019-11705
• یک نقص اجرای iCal در Thunderbird که هنگام پردازش ایمیل‌های خاص، منجر به type confusion در icaltimezone_get_vtimezone_properties می‌شود. CVE-2019-11706

بهره‌برداری موفق از شدیدترین این آسیب‌پذیری‌ها می‌تواند موجب به دست گرفتن کنترل سیستم آسیب‌پذیر توسط مهاجمان شود و بسته به مجوزهای مربوط به این برنامه، مهاجم می‌تواند نرم‌افزار‌ها را نصب و یا حذف کند و همچنین اطلاعات و داده‌ها را مشاهده، تغییر یا حذف کند و یا حساب‌های جدید با حقوق کامل کاربری را ایجاد کند. کاربرانی که حساب‌های آنها به گونه‌ای پیکربندی شده‌ است که سطح دسترسی کاربری کمتری در سیستم داشته باشند، می‌توانند کمتر از کسانی که با حقوق کاربری مدیریتی کار می‌کنند، آسیب‌پذیر باشند.
توصیه ها:
توصیه می‌شود که اقدامات زیر انجام شود:
• بلافاصله پس از آزمایش مناسب، وصله مناسب ارائه‌شده توسط موزیلا به سیستم‌های آسیب‌پذیر اعمال شود.
• برای کاهش اثر حملات موفقیت‌آمیز، همه‌ی نرم‌افزارها را به عنوان یک کاربر با سطح دسترسی پایین اجرا کنید.
• تذکر به کاربران برای بازدید نکردن از وب‌سایت‌های با منبع نامعتبر و همچنین دنبال نکردن لینک‌های ناشناس.
• اطلاع‌رسانی و آموزش کاربران در مورد تهدیدات ناشی از لینک‌های ابرمتن موجود در ایمیل‌ها یا ضمیمه‌ها مخصوصاً از منابع نامعتبر و ناشناس.
• اصل POLP یا Principle of Least Privilege را برای تمام سیستم‌ها و سرویس‌ها اعمال کنید.

منابع:
Mozilla:
https://www.mozilla.org/en-US/security/advisories/mfsa2019-17/
CVE:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11703
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11704
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11705
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11706


نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

مشخصات خبر

 
تاریخ ایجاد: 2 تیر 1398

برچسب‌ها

امتیاز

امتیاز شما
تعداد امتیازها: 0